Number Range Preview
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/configuration/numberRanges/{numberRangeId}/preview \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/configuration/numberRanges/{numberRangeId}/preview"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/configuration/numberRanges/{numberRangeId}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"NextNumber": "<string>",
"IsPreview": true
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Master Data
Number Range Preview
deprecated
Returns a Preview of the Next Number for the given NumberRange
GET
/
v1
/
configuration
/
numberRanges
/
{numberRangeId}
/
preview
Number Range Preview
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the NumberRange Schlüssel für einen Nummernkreis Datensatz
Query Parameters
Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.
Was this page helpful?